using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MEdiaSpaceCanmore
{
    internal sealed partial class SmallForm : CustomForm
    {
        public SmallForm()
        {
            InitializeComponent();
        }


        //
        // UI component handlers
        //
        private void SmallForm_Load(object sender, EventArgs e)
        {
            this.FormMaximized += new FormMaximizedEventHandler(SmallForm_FormMaximized);
            this.FormClosed += new FormClosedEventHandler(SmallForm_FormClosed);
        }

        private bool SmallForm_FormMaximized(object sender, EventArgs e)
        {
            FormController.SwitchToMedium();
            return false;
        }

        private void SmallForm_FormClosed(object sender, EventArgs e)
        {
            FormController.Shutdown();
        }

        private void incomingPicturebox_Click(object sender, EventArgs e)
        {
            FormController.SwitchToMedium();
        }


        //
        // Content display handlers
        //
        public void SetConnected(bool connected)
        {
            if (!connected)
                DisplayImageInPictureBox(incomingPictureBox, null);
        }

        public void SetCallStatus(bool talking)
        {
            if (!talking)
                DisplayImageInPictureBox(incomingPictureBox, null);
        }

        public void SetMotionDetection(int value, DateTime timestamp)
        {
        }

        public void SetRemoteImage(Image image)
        {
            DisplayImageInPictureBox(incomingPictureBox, image);
        }
    }
}