using System;
using System.Collections.Generic;
using System.Text;

namespace MEdiaSpaceCore
{
    public class Constants
    {
        // Networking constants
        public const String CALGARY_IP = "136.159.7.33";
        public const String SHARED_DICTIONARY_NAME = "MEdiaSpace";
        public const int HEADER_FIELD_LENGTH = 4;
        public const int BUFFER_SIZE = 2048;
        public const int DEFAULT_NETWORK_PORT = 8001;

        // Network packet ID type enumeration
        public enum NETWORK_PACKETS { ACK, VIDEO, AUDIO, DATA };

        // Shared Dictionary key constants
        public const String SDKEY_CANMORE_SKYPE_USERNAME = "/canmore/skypehandle";
        public const String SDKEY_CALGARY_SKYPE_USERNAME = "/calgary/skypehandle";

        public const String SDKEY_CALGARY_NETWORK_PORT = "/calgary/port";

        // Shared Phidgets constants
        public const int CALGARY_DOOR_RELAY_DELAY = 1;              // seconds between high/low toggles

        // Imaging constants
        public const int BYTES_PER_PIXEL = 3;
        public const double DEFAULT_FAST_FRAMERATE = 15.0;          // 15 fps
        public const double DEFAULT_SLOW_FRAMERATE = 1.0/3.0;       // 1 frame every 3 seconds

        // Compression protocol enumeration
        public enum VIDEO_PROTOCOLS { RAW, JPEG };

        // UI Constants
        public const String CALGARY_NOT_CONNECTED_STRING = "(not connected)";
        public const String CALGARY_CONNECTED_STRING = "Saul's Home Office";
    }
}
